Skip to content

Gateway (Template) ​

13 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getGatewayInfoGETGet gateway template info
modifyConfigAdvancedTemplatePUTModify gateway template advanced config
modifyConfigCommonAdvancedTemplatePUTModify gateway template common advanced config
modifyConfigWirelessAdvancedTemplatePUTModify gateway template wireless advanced config
modifyConfigGeneralTemplatePUTModify gateway template general config
modifyConfigRadiosTemplatePUTModify gateway template radios config
modifyConfigServicesTemplatePUTModify gateway template services config
modifyConfigWlansTemplatePUTModify gateway template wlans config
getSsidDetailTemplate_1GETGet SSID detail info
modifySsidBasicConfigTemplatePATCHmodify SSID basic config
modifySsidMacFilterConfigTemplatePATCHUpdate SSID mac filter config
modifyPortConfigPATCHModify gateway template port config
getPortsTemplateGETGet gateway template port info

getGatewayInfo ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}

Get gateway template info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
json
// omada_call_operation
{
  "operationId": "getGatewayInfo",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

Get gateway template info
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39507 - Gateway mirroring port reaches max limit.
-39706 - Please choose at least one port or LAG to be mirrored.
-39718 - Mirrored ports contain invalid port.

modifyConfigAdvancedTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/advanced

Modify gateway template advanced config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema OsgConfigAdvancedOpenApiVO

FieldTypeRequiredDescription
hwOffloadEnablebooleannoHardware Offload enabled or not.
lldpEnablebooleannoLLDP enabled or not. Deprecated, filed lldpSetting is recommended
lldpSettingintegernoLLDP setting. 0: Off, 1: On, 2: Follow site.
poeSettingsarray<OsgPortPoeOpenApiVO>noPort Poe setting list.
echoServerstringnoEcho Server should be a domain name or IP address.
lbSetting2gApLoadBalanceOpenApiVOno(ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO")
lbSetting5gApLoadBalanceOpenApiVOno(ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO")
lbSetting5g1ApLoadBalanceOpenApiVOno(ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO")
lbSetting5g2ApLoadBalanceOpenApiVOno(ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO")
lbSetting6gApLoadBalanceOpenApiVOno(ApLoadBalanceOpenApiVO not expanded; call omada_get_schema "ApLoadBalanceOpenApiVO")
rssiSetting2gApRssiThresholdOpenApiVOno(ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO")
rssiSetting5gApRssiThresholdOpenApiVOno(ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO")
rssiSetting5g1ApRssiThresholdOpenApiVOno(ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO")
rssiSetting5g2ApRssiThresholdOpenApiVOno(ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO")
rssiSetting6gApRssiThresholdOpenApiVOno(ApRssiThresholdOpenApiVO not expanded; call omada_get_schema "ApRssiThresholdOpenApiVO")
qosSetting2gApQosOpenApiVOno(ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO")
qosSetting5gApQosOpenApiVOno(ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO")
qosSetting5g1ApQosOpenApiVOno(ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO")
qosSetting5g2ApQosOpenApiVOno(ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO")
qosSetting6gApQosOpenApiVOno(ApQosOpenApiVO not expanded; call omada_get_schema "ApQosOpenApiVO")
ofdmaEnable2gbooleannoEnable or disable OFDMA of 2.4 GHz.
ofdmaEnable5gbooleannoEnable or disable OFDMA of 5 GHz.
ofdmaEnable5g1booleannoEnable or disable OFDMA of 5 GHz-1.
ofdmaEnable5g2booleannoEnable or disable OFDMA of 5 GHz-2.
ofdmaEnable6gbooleannoEnable or disable OFDMA of 6 GHz.
json
// omada_call_operation
{
  "operationId": "modifyConfigAdvancedTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway template advanced config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.

modifyConfigCommonAdvancedTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/advanced/common

Modify gateway template common advanced config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema OsgConfigCommonAdvancedOpenApiVO

FieldTypeRequiredDescription
hwOffloadEnablebooleanno
lldpEnablebooleannoDeprecated, filed lldpSetting is recommended
lldpSettingintegerno
poeSettingsarray<OsgPortPoeVO>no
echoServerstringno
json
// omada_call_operation
{
  "operationId": "modifyConfigCommonAdvancedTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway template common advanced config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.

modifyConfigWirelessAdvancedTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/advanced/wireless

Modify gateway template wireless advanced config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema OsgConfigWirelessAdvancedOpenApiVO

FieldTypeRequiredDescription
lbSetting2gApLoadBalanceVOno(ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO")
lbSetting5gApLoadBalanceVOno(ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO")
lbSetting5g1ApLoadBalanceVOno(ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO")
lbSetting5g2ApLoadBalanceVOno(ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO")
lbSetting6gApLoadBalanceVOno(ApLoadBalanceVO not expanded; call omada_get_schema "ApLoadBalanceVO")
rssiSetting2gApRssiThresholdVOno(ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO")
rssiSetting5gApRssiThresholdVOno(ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO")
rssiSetting5g1ApRssiThresholdVOno(ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO")
rssiSetting5g2ApRssiThresholdVOno(ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO")
rssiSetting6gApRssiThresholdVOno(ApRssiThresholdVO not expanded; call omada_get_schema "ApRssiThresholdVO")
qosSetting2gApQosVOno(ApQosVO not expanded; call omada_get_schema "ApQosVO")
qosSetting5gApQosVOno(ApQosVO not expanded; call omada_get_schema "ApQosVO")
qosSetting5g1ApQosVOno(ApQosVO not expanded; call omada_get_schema "ApQosVO")
qosSetting5g2ApQosVOno(ApQosVO not expanded; call omada_get_schema "ApQosVO")
qosSetting6gApQosVOno(ApQosVO not expanded; call omada_get_schema "ApQosVO")
ofdmaEnable2gbooleanno
ofdmaEnable5gbooleanno
ofdmaEnable5g1booleanno
ofdmaEnable5g2booleanno
ofdmaEnable6gbooleanno
json
// omada_call_operation
{
  "operationId": "modifyConfigWirelessAdvancedTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway template wireless advanced config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.

modifyConfigGeneralTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/general

Modify gateway template general config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema OsgGeneralConfigOpenApiV2VO

FieldTypeRequiredDescription
namestringnoDevice name should contain 1 to 128 characters. This subsection is deprecated.
ledSettingintegeryesLed setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings
tagIdsarray<string>noTag IDs. This subsection is deprecated.
locationDeviceLocationDetailOpenApiVOno(DeviceLocationDetailOpenApiVO not expanded; call omada_get_schema "DeviceLocationDetailOpenApiVO")
snmpOsgSnmpOpenApiVOno(OsgSnmpOpenApiVO not expanded; call omada_get_schema "OsgSnmpOpenApiVO")
rememberDeviceintegerno
json
// omada_call_operation
{
  "operationId": "modifyConfigGeneralTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway template general config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.

modifyConfigRadiosTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/radios

Modify gateway template radios config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema OsgConfigRadiosopenApiVO

FieldTypeRequiredDescription
radioSetting2gApRadioSettingopenApiVOno(ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO")
radioSetting5gApRadioSettingopenApiVOno(ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO")
radioSetting5g1ApRadioSettingopenApiVOno(ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO")
radioSetting5g2ApRadioSettingopenApiVOno(ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO")
radioSetting6gApRadioSettingopenApiVOno(ApRadioSettingopenApiVO not expanded; call omada_get_schema "ApRadioSettingopenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyConfigRadiosTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway template radios config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.

modifyConfigServicesTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/services

Modify gateway template services config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema OsgConfigServicesOpenApiVO

FieldTypeRequiredDescription
snmpOsgSnmpOpenApiVOno(OsgSnmpOpenApiVO not expanded; call omada_get_schema "OsgSnmpOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyConfigServicesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway template services config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.

modifyConfigWlansTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/wlans

Modify gateway template wlans config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID

Request body — application/json (required) — schema OsgConfigWlansOpenApiVO

FieldTypeRequiredDescription
wlanIdstringnoWLAN ID
ssidOverridesarray<OsgSsidOverrideOpenApiVO>yesOverrided SSID List
wlansResourceintegernoWlans Resource
json
// omada_call_operation
{
  "operationId": "modifyConfigWlansTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway template wlans config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33221 - The SSID to be edited does not exist.
-33222 - The SSID should contain 1-32 characters.
-33223 - The security key can only contain 8-63 printable ASCII characters or 8-63 hexadecimal digits.
-33231 - The ssid' s name should not be the same with emergency ssid.
-39306 - This WLAN group does not exist.
-39307 - Failed to add this AP to the WLAN group because this AP is not in the site of the WLAN group.
-39501 - This gateway does not exist.
-44434 - The device template does not contain this configuration option and can not be modified.

getSsidDetailTemplate_1 ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/wlans/ssid

Get SSID detail info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
json
// omada_call_operation
{
  "operationId": "getSsidDetailTemplate_1",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

Get SSID detail info
The interface requires one of the permissions:
Site Settings Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-39501 - This gateway does not exist.

modifySsidBasicConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/wlans/ssid/{ssidId}/basic-config

modify SSID basic config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
ssidIdpathstringyesDevice Template ID

Request body — application/json (required) — schema UpdateSsidBasicConfigForIpptOpenApiVO

FieldTypeRequiredDescription
namestringyesSSID name. It should contain 1 to 32 UTF-8 characters.
bandintegeryesSSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.)
autoWanAccessbooleannoWhether to enable auto wan access. True: enable, false: disable.
securityintegeryesSSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS.
oweEnablebooleannoOpportunistic Wireless Encryption, also known as Enhanced Open, is a certification provided by the Wi-Fi Alliance as part of the WPA3 wireless security standard. OWE will enable two wireless VAPs per radio, one for access of OWE-supported stations, and one for access of other stations. An SSID with OWE enabled will be counted as two SSID entries for 2G and 5G. Only for security is None and band contains 2.4G or 5G.
broadcastbooleanyesSSID broadcast config status. True: enable, false: disable.
pskSettingSsidPskSettingForIpptOpenApiVOno(SsidPskSettingForIpptOpenApiVO not expanded; call omada_get_schema "SsidPskSettingForIpptOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifySsidBasicConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify SSID basic config
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33235 - PPSK without RADIUS do not support WPA Mode with WPA3-SAE.
-33238 - The number of SSIDs on %band% has reached the limit. At most 8 SSIDs can be created on each band.
-33240 - The SSID name should be between 1 and 32 bytes.

modifySsidMacFilterConfigTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/config/wlans/ssid/{ssidId}/mac-filter

Update SSID mac filter config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
ssidIdpathstringyesDevice Template ID

Request body — application/json (required) — schema UpdateSsidMacFilterOpenApiVO

FieldTypeRequiredDescription
macFilterEnablebooleanyesSSID MAC Filter global config status. True: enable, false: disable.
policyintegernoSSID MAC Filter policy config mode; It should be a value as follows: 0: Deny List, 1: Allow List.
macFilterIdstringnoThis field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface.
ouiProfileIdListarray<string>noThis field represents OUI Profile ID list. OUI Profile can be created using Create OUI profile interface, and OUI Profile ID can be obtained from Get OUI profile summary list interface(This configuration applies to the Pro Site of the Omada Pro Controller only).
json
// omada_call_operation
{
  "operationId": "modifySsidMacFilterConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "ssidId": "<ssidId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update SSID MAC filter config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

modifyPortConfig ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/ports/{port}/config

Modify gateway template port config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
portpathstringyesGateway port number

Request body — application/json (required) — schema GatewayTemplatePortSettingConfig

FieldTypeRequiredDescription
linkSpeedintegernoPort link speed should be a value as follows: 0: Auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2500M; 5: 10G; 6: 5G
duplexintegernoPort duplex mode should be a value as follows: 0: Auto; 1: Half; 2: Full
mirrorEnablebooleannoPort enabled mirror or not
mirroredPortsarray<integer>noMirrored Ports Set
mirrorModeintegernoPort mirror mode should be a value as follow: 0: ingress; 1: egress; 2: ingress and egress.
pvidintegernoPvid(only for lan port.)
flowControlbooleannoEnable flow control or not.(When the port supports flow control.)
statusintegernoEnable port or not, status should be a value as follows: 0: disable; 1: enable.(When the port supports status.)
poeModeintegernoEnter a value as follows: 0: off; 1: 802.3at/af.
dslSettingsDslSettingsno(DslSettings not expanded; call omada_get_schema "DslSettings")
tagSetarray<string>noTag ID Set
json
// omada_call_operation
{
  "operationId": "modifyPortConfig",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify gateway template port config
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.
-39507 - Gateway mirroring port reaches max limit.
-39706 - Please choose at least one port or LAG to be mirrored.
-39718 - Mirrored ports contain invalid port.

getPortsTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/gatewaytemplates/{deviceTemplateId}/ports/config

Get gateway template port info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
deviceTemplateIdpathstringyesDevice Template ID
json
// omada_call_operation
{
  "operationId": "getPortsTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "deviceTemplateId": "<deviceTemplateId>"
  }
}
Details, permissions and error codes

Get gateway template port info
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39501 - This gateway does not exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.